<!DOCTYPE html>
<html lang="en">
  <head>
    <meta name="generator" content="GitLab Pages">
    <title>TP4 Veille Techno</title>
    <link rel="stylesheet" href="style.css">
    <script src="https://cdn.tailwindcss.com"></script>
  </head>

  <body class="bg-gradient-to-br from-gray-900 to-gray-600 bg-gradient-to-r">

    <header class="p-20 text-white flex justify-between items-baseline">
      <h1 class="text-5xl font-bold">TP4 Veille Techno</h1>
      <div>
        <a class="cool-link" href="index.html">
          Accueil
        </a>
        <a class="cool-link" href="materiel.html">Matériel</a>
        <a class="cool-link" href="experimentation.html">Expérimentations</a>
        <a class="cool-link" href="montage.html">Montage</a>
        <a class="cool-link" href="logiciel.html">Logiciel</a>
      </div>
    </header>

    <main class="px-20 flex flex-col justify-center items-center">

      <h2 class="text-center text-3xl font-bold text-white">
        Expérimentations
      </h2>

      <section id="analyse" class="bg-slate-200 w-3/4 rounded-xl p-10 my-20">
        <div class="text-gray-900 text-justify">
          <h4 class="text-center text-lg font-bold text-gray-900">
            1- Réponse du capteur cardiaque
          </h4>
          <br>
          <p>L'objectif de tester la réponse du capteur cardiaque est de valider son efficacité et sa précision dans la mesure des battements cardiaques. Cette expérimentation vise à déterminer si le capteur est capable de fournir des données fiables et cohérentes en détectant les pulsations cardiaques avec précision. Les tests de réponse du capteur cardiaque sont essentiels pour s'assurer de sa fiabilité dans divers scénarios d'utilisation.</p>
          <br>
          <p>
            Tout d’abord, nous avons assemblé l’équipement nécessaire, notamment le capteur cardiaque, la carte Arduino, un ordinateur pour la programmation, et des câbles de connexion. L’expérimentation requiert également un sujet de test volontaire. 
            La clé de notre expérimentation réside dans la programmation minutieuse de la carte Arduino. Nous avons utilisé le logiciel Arduino IDE pour configurer Arduino afin qu’il puisse collecter les données du capteur cardiaque. Plus précisément, nous avons programmé Arduino pour mesurer la fréquence cardiaque et afficher ces données sur le moniteur série.
            Ensuite, nous avons positionné le capteur cardiaque sur et sous le poignet du sujet en veillant à un contact optimal avec la peau.
            Les données collectées ont ensuite été analysées évaluer la réponse du capteur cardiaque.
          </p>
          <br>
          <div class="flex items-center">
            <img class="mx-auto my-2 w-2/4 h-2/4" src="img/ReponseDigital1.png" alt="Montre">
            <img class="mx-auto my-2 w-1/3 h-1/4" src="img/ReponseDigital2.png" alt="Montre">
          </div>
          <br>

          <p>
            Données collectées en digital lors du test sur le poignet. En digital, l'accès aux données est plus simple, mais il y a beaucoup moins d'informations. 
            De plus, les données sont plus sensibles et sont beaucoup plus susceptibles à être perdus à cause du traitement de données.
          </p>
          <br>

          <div>
            <img class="mx-auto my-2 w-2/3 h-2/4" src="img/ReponseAnalog1(dessous).png" alt="Montre">
            <br>
            <p>
              Données collectées en analog lors du test sous le poignet. En analog, l'accès aux données est plus complexe, mais il y a beaucoup plus d'informations (amplitude et fréquence).
            </p>
            <br>
            <img class="mx-auto my-2 w-2/3 h-2/4" src="img/ReponseAnalog2(dessusPoignet).png" alt="Montre">
            <br>
            <p>
              Données collectées en analog lors du test sur le poignet. Les données sont moins précise que sous le poignet.
            </p>
          </div>

          <br>
          <p>Selon les résultats de l'expérimentation, tout indique que le capteur cardiaque est opérationnel et capable de renvoyer des données. Cependant, il met en évidence une limitation notable : les données collectées ne sont pas d'une précision optimale. Bien que le capteur puisse détecter les battements cardiaques, il montre des marges d'erreur qui rendent les mesures moins précises que ce que l'on pourrait espérer. Cette observation suggère la nécessité d'améliorer ou d'affiner le capteur cardiaque pour garantir une fiabilité accrue dans la mesure de la fréquence cardiaque.</p>
          <br>
          
          <p>La technologie du capteur cardiaque placé simplement sur le poignet présente un potentiel en termes de commodité et d'accessibilité. Cependant, notre expérimentation a révélé des limites significatives en matière de précision des mesures, même en l'absence d'exercice cardiaque. Cette imprécision constitue une faiblesse majeure qui doit être prise en compte, compromettant l'utilité de la technologie pour des applications nécessitant des données hautement précises.</p>
          <br>
          <p>L'intégration d'un capteur de qualité supérieure se révélerait judicieuse, car il permettrait d'obtenir des mesures de la fréquence cardiaque plus précises et fiables, comblant ainsi l'actuelle lacune en matière de précision de notre technologie.</p>
        </div>
        
        <br>
        <div class="text-justify">
          <h4 class="text-center text-lg font-bold text-gray-900">
            2 - Écrire sur la carte sd
          </h4>
          <br>
          <p>
            Pour évaluer la faisabilité du projet, nous avons réalisé un test d'écriture sur une carte SD en utilisant Arduino. Nous avons inséré une micro carte SD avec un adaptateur dans l'Arduino et lancé le programme d'écriture. L'ensemble de notre expérience s'est déroulé sans le moindre problème, et voici comment nous l'avons menée.
          </p>
          <br>
          <p>
            Nous cherchions à confirmer la capacité d'Arduino à écrire de manière fiable sur une carte SD. L'expérience s'est avérée très concluante, avec Arduino réussissant à écrire sur la carte SD sans rencontrer de problèmes majeurs. Les données ont été enregistrées correctement, confirmant ainsi sa capacité à accomplir cette tâche.
          </p>
          <br>
          <p>La technologie Arduino s'est révélée fiable et performante pour l'écriture sur une carte SD, offrant un potentiel prometteur pour de nombreuses applications, notamment dans les projets de stockage de données. Aucun besoin de recourir à une technologie de remplacement n'est nécessaire.</p>
          <br>
          <img class="mx-auto w-2/3" src="img/CarteSD1.jpg" alt="Carte SD1">
        </div>
        
        <br>
        <div class="text-justify">
          <h4 class="text-center text-lg font-bold text-gray-900">
            3 - Lecture sur la carte SD
          </h4>
          <br>
          <p>
            Afin d'évaluer la faisabilité de notre projet, nous avons conduit un test de lecture sur une carte SD en utilisant Arduino. Pour ce faire, nous avons inséré une micro carte SD avec un adaptateur dans l'Arduino et lancé le programme dédié à la lecture. L'intégralité de notre expérience s'est déroulée sans le moindre problème, et voici comment nous l'avons exécutée.
          </p>
          <br>
          <p>
            Notre objectif principal était de confirmer la capacité d'Arduino à lire de manière fiable le contenu d'une carte SD. Nous avons concrétisé cette démarche en connectant un Arduino à une carte SD et en élaborant un programme spécifique pour extraire le texte enregistré sur la carte.
          </p>
          <br>
          <p>
            Les résultats de l'expérimentation se sont révélés extrêmement probants. Arduino a réussi à lire de manière parfaitement fluide le contenu de la carte SD, sans le moindre problème majeur. Les données ont été extraites de manière fiable et précise, validant ainsi sa capacité à mener à bien cette tâche.
          </p>
          <br>
          <p>
            La technologie Arduino s'est démarquée par sa fiabilité et sa performance dans le processus de lecture sur une carte SD, offrant un potentiel prometteur pour de multiples applications, notamment dans les projets nécessitant la récupération de données stockées sur une carte SD. Aucun recours à une technologie de remplacement ne s'est avéré nécessaire.
          </p>
          <br>
          <img class="mx-auto w-2/3" src="img/CarteSD3.jpg" alt="Carte SD2">
        </div>
        
        <div class="text-justify">
          <br>
          <h4 class="text-center text-lg font-bold text-gray-900">
            4 - Envoyer les données du sensor sur la carte SD
          </h4>
          <br>
          <p>L'objectif de notre expérimentation dans le cadre du projet consistait à vérifier la capacité du capteur de la montre à envoyer de manière fiable les données du rythme cardiaque sur une carte SD.</p>
          <br>
          <p>Dans le cadre de cette expérience, nous avons intégré le capteur cardiaque et configuré pour transmettre les données sur une carte SD. Un participant a porté la montre et nous avons enregistré les données du capteur sur la carte SD. </p>
          <br>
          <p>Les résultats de l'expérimentation ont démontré que le capteur de la montre était capable d'envoyer les données du rythme cardiaque sur la carte SD. Les informations enregistrées ont permis une analyse précise des variations du rythme cardiaque au cours des différentes activités.</p>
          <br>
          <p>La technologie permettant l'envoi des données du capteur sur la carte SD s'est avérée fonctionnelle et prometteuse. Elle offre une solution efficace pour le stockage des informations du rythme cardiaque. Cependant, des ajustements pourraient être nécessaires pour optimiser la vitesse de transmission ou résoudre d'éventuels problèmes liés à la consommation d'énergie, tout en travaillant à affiner la précision des données transmises, afin d'assurer une surveillance du rythme cardiaque encore plus rigoureuse.</p>
          <br>
          <img class="mx-auto w-2/3" src="img/CarteSD2.jpg" alt="Carte SD3">
        </div>

        <div class="text-justify">
          <br>
          <h4 class="text-center text-lg font-bold text-gray-900">
            5 - Lire les données du sensor sur la carte SD
          </h4>
          <br>
          <p>
            L'objectif de notre expérimentation était d'évaluer notre capacité à lire avec précision les données stockées sur une carte SD à l'aide de notre logiciel, tout en intégrant la conversion de ces données en graphiques pour une visualisation optimale. </p>
          <br>
          <p> Pour cette expérimentation, nous avons mis en place un logiciel permettant non seulement de lire les données de la carte SD, mais également de les convertir en graphiques significatifs. La carte SD avait été préalablement configurée avec les données récoltées dans l’expérimentation précédente. Nous avons testé la capacité du logiciel à lire ces données, les interpréter et les représenter graphiquement de manière précise et efficace.</p>
          <br>
          <p>Les résultats ont démontré que notre logiciel a réussi à lire avec succès les données stockées sur la carte SD et à les convertir en graphiques. Les informations extraites correspondaient aux données initialement enregistrées sur la carte, confirmant ainsi la capacité du dispositif à réaliser cette opération complexe de manière fiable. </p>
          <br>
          <p>La technologie de lecture des données sur la carte SD s'est avérée fonctionnelle et a répondu de manière satisfaisante à l'objectif de l'expérimentation, notamment en intégrant la conversion en graphiques. Cette capacité de lecture et de visualisation offre des perspectives prometteuses pour notre projet nécessitant l'accès aux données stockées sur une carte SD de manière plus intuitive et informatique.</p>
          <br>
          <img class="mx-auto w-2/3" src="img/DataLog.png" alt="Data Log">
          <br>
          <img class="mx-auto w-2/3" src="img/Logiciel.jpg" alt="Logiciel">
        </div>

        <div class="text-justify">
          <br>
          <h4 class="text-center text-lg font-bold text-gray-900">
            6- Activer/Désactiver le capteur cardiaque à l'aide d'un bouton 
          </h4>
          <br>
          <p>L'objectif de notre expérimentation était d'évaluer l'efficacité de notre système qui permet d'activer et de désactiver la collecte de données du capteur cardiaque via un bouton dédié.</p>
          <br>
          <p>Pour cette expérimentation, nous avons intégré un bouton spécifique à notre dispositif, conçu pour activer et désactiver la récolte de données du capteur cardiaque. Nous avons utilisé ce bouton pour contrôler le démarrage et l'arrêt de la collecte de données. Cette expérience visait à évaluer la fonctionnalité, la réactivité et la fiabilité du bouton dans le cadre de la manipulation du capteur cardiaque.</p>
          <br>
          <img class="mx-auto w-2/3" src="img/setUpBouton.jpg" alt="SetUp Bouton">
          <br>
          <p>Les résultats ont démontré que le bouton a parfaitement fonctionné pour activer et désactiver la collecte de données du capteur cardiaque. Le bouton est facilement manipulable, assurant ainsi un contrôle précis sur la récolte des données en fonction de leurs besoins.</p>
          <br>
          <div class="flex">
            <img class="mx-auto w-1/3" src="img/Bouton_Ferme.jpg" alt="Bouton fermé">
            <img class="mx-auto w-1/3" src="img/Bouton_ouvert.jpg" alt="Bouton ouvert">
          </div>
          <br>
          <p>La technologie du bouton s'est avérée performante. Sa facilité d'utilisation et sa réactivité ont contribué de manière significative à la réussite de l'expérimentation. Cette fonctionnalité offre des avantages pratiques pour les étudiants, permettant un contrôle optimal de la récolte de données du capteur cardiaque.</p>
          <br>
          <p>À ce stade, la technologie du bouton répond pleinement à nos attentes. Aucune adaptation ou remplacement n'est nécessaire, car le bouton a démontré son efficacité et sa fiabilité dans le contrôle de la collecte de données du capteur cardiaque.</p>
        </div>
       
        
      </section>

    </main>

    <footer class="mx-20 p-10 text-white font-bold border-t-2 flex justify-between">
      <div class="w-1/2">
        Réalisé par Frédéric Rousseau, Nathan Ouellet, Nicolas Bazin, Thomas Bolduc et Xavier Gosselin
      </div>
      <div>
        Dans le cadre de Techniques de l’informatique - Cégep Garneau
      </div> 
    </footer>

  </body>
</html>
